using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;

public class PlayerStats : MonoBehaviour {


    private static float maxHealth;
	private static float curHealth;
	private static string playerName;
	private static int vitality;
	private static int strength;
	private static int defense;
	private static int agility;
	private static int luck;

	private static WeaponStats currentWeapon;
	private SpriteRenderer weaponSpriteRenderer;
    EnterDoor spawn;

	void Start () {
		weaponSpriteRenderer = GetComponent<SpriteRenderer>();
		//to find the weapon sprite
		GameObject weaponSprite = GameObject.FindWithTag("currentWeapon");
		weaponSpriteRenderer = weaponSprite.GetComponent<SpriteRenderer>();
		updateWeapon ();

	}
		
	void Update () {
        if (curHealth <= 0) {
            //dead
        }
	}

    //allow the player to only be hurt by the enemy 
    void OnTriggerEnter2D(Collider2D other) {
        if (other.gameObject.tag == "Enemy") {
            Debug.Log("hit");
            curHealth = curHealth - 1;
        }
    }

    /**void OnLevelWasLoaded() {
        spawn.player.transform.position = spawn.spawnPoint[EnterDoor.spawnPointIndex].position;
    }**/

	private void updateWeapon() {
		if (currentWeapon.image == null) {
			Debug.Log("Weapon image is null!");
		}
		else {
			weaponSpriteRenderer.sprite = currentWeapon.image;

		}
	}

	public static float getHealth(){
		return curHealth;
	}

	public void setWeapon(WeaponStats newWeapon){
		currentWeapon = newWeapon;
		updateWeapon ();
	}

	public void setName(string newName){
		playerName = newName;
	}

	public void setVitality(int newVitality){
		vitality = newVitality;
		setMaxHealth (); // Vitality affects HP amount
	}

	// Calculated from vitality
	private void setMaxHealth(){
		maxHealth = vitality*10;
		curHealth = maxHealth;
	}

	public void setStrength(int newStrength){
		strength = newStrength;
	}

	public void setDefense(int newDefense){
		defense = newDefense;
	}

	public void setAgility(int newAgility){
		agility = newAgility;
	}

	public void setLuck(int newLuck){
		luck = newLuck;
	}



}